Skip to main content
Update a webhook endpoint’s configuration.
POST /api/v1/businesses/:businessId/webhook-endpoints/:endpointId/update-endpoint

Parameters

Path

NameTypeRequiredDescription
businessIdstringYesThe business ID
endpointIdstringYesThe endpoint ID

Body

NameTypeRequiredDescription
urlstringNoNew HTTPS URL for delivery
descriptionstringNoUpdated description
eventsarrayNoUpdated list of event types

Request example

curl --request POST 'https://payments.bleepay.com/api/v1/businesses/biz_abc/webhook-endpoints/wh_abc123/update-endpoint' \
  --header 'Authorization: Bearer <business_token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "url": "https://example.com/webhooks/v2",
    "events": ["deposit.pending", "deposit.confirmed", "deposit.expired", "deposit.underpaid"]
  }'

Response

Returns HTTP 200 with an empty body.